id: wordpress-wp-pagenavi

info:
  name: WP-PageNavi Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/wp-pagenavi/
  metadata:
    plugin_namespace: wp-pagenavi
    wpscan: https://wpscan.com/plugin/wp-pagenavi
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/wp-pagenavi/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/wp-pagenavi.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022062d9ed2b5cbe892afe280898edca5e151527000de4a91aac3a231d5c6c675328022100dff96af200899082dd4c1fe57c495b779c5bbf70609433ca7e8c40f8149851bf:922c64590222798bb761d5b6d8e72950